--------------------------------------------------------------------
-- s_push_flower2.lua
-- ボタン（Flower2）押下時の処理
--
-- author IZUMI STUDIO
-- date
--------------------------------------------------------------------
require(".\\scripts\\menu\\s_common")

-----------------------------------------------------------------
-- UI の表示/非表示
-----------------------------------------------------------------

-- Select Mode
Scene.SetVisible_Bar( 0, 0, 0 ) ; -- 1 Player
Scene.SetVisible_Bar( 0, 1, 0 ) ; -- 2 Players
Scene.SetVisible_Bar( 0, 2, 0 ) ; -- Records
Scene.SetVisible_Bar( 0, 3, 0 ) ; -- Return

-- Select Difficulty
Scene.SetVisible_Bar( 0, 4, 0 ) ; -- Com1
Scene.SetVisible_Bar( 0, 5, 0 ) ; -- Com2
Scene.SetVisible_Bar( 0, 6, 0 ) ; -- Com3
Scene.SetVisible_Bar( 0, 7, 0 ) ; -- Com4
Scene.SetVisible_Bar( 0, 8, 0 ) ; -- Com5
Scene.SetVisible_Bar( 0, 9, 0 ) ; -- Return

-- Select Flower
Scene.SetVisible_Bar( 0, 10, 1 ) ; -- Flower1
Scene.SetVisible_Bar( 0, 11, 1 ) ; -- Flower2
Scene.SetVisible_Bar( 0, 12, 1 ) ; -- Return

-- Records
Scene.SetVisible_Plate( 0, 0, 0 ) ;
Scene.SetVisible_Bar( 0, 13, 0 ) ; -- Return


-----------------------------------------------------------------
-- メイン処理
-----------------------------------------------------------------

-- ゲームシーンへ
Scene.ChangeScene( 0, SCENE_GAME, TRANSITION_BLACK_OUT, 20, TRANSITION_BLACK_IN, 20 )

-- BGM（ゲームへ）
Scene.ControlStreamSound( 0, SCONTROL_STOP, 0, "" )
Scene.ControlStreamSound( 0, SCONTROL_CLEAR, 0, "" )
Scene.ControlStreamSound( 0, SCONTROL_PUSH_SOUND, 0, "sounds\\decide11.ogg" )
Scene.ControlStreamSound( 0, SCONTROL_PLAY, SCONTROL_LOOP_NO, "" )

-- カメラ移動
Scene.SetCamera(
	 0,
	 CAMERA_SELECT_FLOWER_OUT[1], CAMERA_SELECT_FLOWER_OUT[2], CAMERA_SELECT_FLOWER_OUT[3],
	 CAMERA_SELECT_FLOWER_OUT[4], CAMERA_SELECT_FLOWER_OUT[5], CAMERA_SELECT_FLOWER_OUT[6],
	 INTERPOLATION_EASE_IN,
	 20 )

-- ボタン押下演出
Scene.ExecEffectScript_CursorPos( 0, ".\\scripts\\menu\\e_push_button.lua" )

-- 各種変数設定
Scene.SetEnvParameterInt( 0, "PlayerCodeRed", PLAYER_COM )
Scene.SetEnvParameterInt( 0, "PlayerCodeYellow", PLAYER_YOU )
Scene.SetEnvParameterString( 0, "PlayerNameYellow", "YOU" )
Scene.SetEnvParameterInt( 0, "UseAIRed", 1 )
Scene.SetEnvParameterInt( 0, "UseAIYellow", 0 )
Scene.SetEnvParameterInt( 0, "AIModeRed", 1 )
Scene.SetEnvParameterInt( 0, "AIModeYellow", 0 )
Scene.SetEnvParameterInt( 0, "TempPlayCount", 0 )

Scene.SetEnvParameterInt( 0, "EnableInput", 0 )


